# Uses of Class
org.apache.lucene.util.packed.PackedInts.Mutable

Packages that use PackedInts.Mutable
Package
Description
org.apache.lucene.util.packed
Packed integer arrays and streams.

- ## Uses of PackedInts.Mutable in org.apache.lucene.util.packed

  Subclasses of PackedInts.Mutable in org.apache.lucene.util.packed
  Modifier and Type
  Class
  Description
  `class`
  `GrowableWriter`
  Implements `PackedInts.Mutable`, but grows the bit count of the underlying packed ints on-demand.
  Methods in org.apache.lucene.util.packed that return PackedInts.Mutable
  Modifier and Type
  Method
  Description
  `PackedInts.Mutable`
  GrowableWriter.`getMutable()`
  `static PackedInts.Mutable`
  PackedInts.`getMutable(int valueCount, int bitsPerValue, float acceptableOverheadRatio)`
  Create a packed integer array with the given amount of values initialized to 0.
  `static PackedInts.Mutable`
  PackedInts.`getMutable(int valueCount, int bitsPerValue, PackedInts.Format format)`
  Same as `PackedInts.getMutable(int, int, float)` with a pre-computed number of bits per value and format.
  `protected abstract PackedInts.Mutable`
  AbstractPagedMutable.`newMutable(int valueCount, int bitsPerValue)`
  `protected PackedInts.Mutable`
  PagedGrowableWriter.`newMutable(int valueCount, int bitsPerValue)`
  `protected PackedInts.Mutable`
  PagedMutable.`newMutable(int valueCount, int bitsPerValue)`
  Methods in org.apache.lucene.util.packed with parameters of type PackedInts.Mutable
  Modifier and Type
  Method
  Description
  `static void`
  PackedInts.`copy(PackedInts.Reader src, int srcPos, PackedInts.Mutable dest, int destPos, int len, int mem)`
  Copy `src[srcPos:srcPos+len]` into `dest[destPos:destPos+len]` using at most `mem` bytes.